<?php
declare(strict_types=1);

namespace Simplyin\Simplyin_W_Plugin\Controller\Ajax\Widget;

use Simplyin\Simplyin_W_Plugin\Controller\Ajax\Abstract_Response;

class Search_Address_Response extends Abstract_Response {

    protected array $addresses = [];

    public function set_addresses( array $items ): void {
        $this->addresses = $items;
    }

    protected function get_array(): array {
        return [
            'addresses' => $this->addresses,
        ];
    }
}
